Can't update system

I tried to update my system today using pacman -Syu and it showed these errors:

error: could not open file /var/lib/pacman/local/open-vm-tools-6:12.2.0-1/desc: No such file or directory
error: could not open file /var/lib/pacman/local/vmware-keymaps-1.0-3/desc: No such file or directory
looking for conflicting packages...
error: could not open file /var/lib/pacman/local/linux-headers-6.2.8.arch1-1/files: No such file or directory
warning: could not fully load metadata for package linux-headers-6.2.8.arch1-1
error: failed to prepare transaction (invalid or corrupted package)

I’ve tried to google them but couldn’t find anything similar to it.

https://bbs.archlinux.org/viewtopic.php?id=215396

(deleted by the author)

error: failed to prepare transaction (invalid or corrupted package)

It’s package cache issue related to downloads and or mirrors. Update your mirrors and try again.

Edit: It may require you clean the package cache also.

There is a guide prepared by beloved forum member, in which he addresses this issue :

2 Likes